#
# spec file for package python-concurrentloghandler
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define modname ConcurrentLogHandler
%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-concurrentloghandler
Version:        0.9.1
Release:        6.1
Summary:        Concurrent logging handler
License:        Apache-2.0
Group:          Development/Libraries/Python
URL:            http://pypi.python.org/pypi/ConcurrentLogHandler
Source:         https://files.pythonhosted.org/packages/source/C/ConcurrentLogHandler/%{modname}-%{version}.tar.gz
Patch0:         %{modname}-0.9.1-testpath.patch
BuildRequires:  %{python_module portalocker}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  sed
BuildArch:      noarch
%python_subpackages

%description
This module provides an additional log handler for Python's
standard logging package (PEP 282). This handler will write log
events to log file which is rotated when the log file reaches
a certain size. Multiple processes can safely write to the same
log file concurrently.

%prep
%setup -q -n %{modname}-%{version}
%patch0 -p1
rm -v src/portalocker.py

%build
export CFLAGS="%{optflags}"
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%{python_expand PYTHONPATH=%{buildroot}%{$python_sitelib} sh run_tests.sh $python }

%files %{python_files}
%license LICENSE
%doc README
%{python_sitelib}/*

%changelog
* Thu May 17 2018 mcepl@suse.com
- Fix tests
* Thu May 17 2018 mcepl@suse.com
- Run spec-cleaner on the SPEC file.
- Fix SPEC file to work according to the latest standards
- Failed to make tests working.
* Thu Aug 24 2017 jmatejek@suse.com
- singlespec auto-conversion
* Wed Jul 20 2016 antoine.belvire@laposte.net
- Fix build (boo#985412):
  * Use --record-rpm instead of --record for listing files
    installed with setup.py
  * Fix ConcurrentLogHandler-0.9.1-testpath.patch: py files were
    not installed.
* Thu Sep 26 2013 p.drouand@gmail.com
- Update to version 0.9.1
  + Bug fixes - LP Bug 1199332 and LP Bug 1199333
  +  More gracefully handle out of disk space scenarios. Prevent release()
    from throwing an exception
  +  Handle logging.shutdown() in Python 2.7+. Close the lock file stream
    via close()
- Changes between 0.9.0 and 0.8.6
  + Now requires Python 2.6+
  + Revamp file opening/closing and file-locking internals
  + Add the 'delay' parameter (delayed log file opening) to better match
    the core logging functionality in more recent version of Python.
  + For anyone still using Python 2.3-2.5, please use the latest 0.8.x release
- Changes between 0.8.6 and 0.8.5
  + Fix a small packaging bug from the 0.8.5 release.
  + Updated stresstest.py to always use the correct python version when
    launching sub-processes instead of the system's default "python"
- Changes between 0.8.5 and 0.8.4
  + Bugs resolved Red Hat Bug #858912 and Python Bug #15960
  + Updated ez_setup.py to 0.7.7
  + Updated portalocker to 0.3
  + Initial Python 3 support
  + Fixed minor spelling mistakes
- Rebase specfile
- Rebase ConcurrentLogHandler-0.8.4-testpath.patch to work with upstream changes
* Tue Jun 22 2010 hvogel@novell.com
- Initial Package, Version 0.8.4
